FieldStatsInfo (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.response.FieldStatsInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.response
Class FieldStatsInfo

    java.lang.Object
      org.apache.solr.client.solrj.response.FieldStatsInfo

All Implemented Interfaces:
  Serializable

    public class FieldStatsInfo

extends Object
implements Serializable

Holds stats info

Since:
  solr 1.4
Version:
  $Id: SpellCheckResponse.java 693622 2008-09-09 21:21:06Z gsingers $
See Also:
  Serialized Form

Constructor Summary
`FieldStatsInfo(NamedList<Object> nl, String fname)`

Method Summary
`Long` | `getCount()`
`Map<String,List<FieldStatsInfo>>` | `getFacets()`
`Double` | `getMax()`
`Double` | `getMean()`
`Double` | `getMin()`
`Long` | `getMissing()`
`String` | `getName()`
`Double` | `getStddev()`
`Double` | `getSum()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldStatsInfo

    public FieldStatsInfo(NamedList<Object> nl,
                          String fname)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

### getMin

    public Double getMin()

### getMax

    public Double getMax()

### getSum

    public Double getSum()

### getCount

    public Long getCount()

### getMissing

    public Long getMissing()

### getMean

    public Double getMean()

### getStddev

    public Double getStddev()

### getFacets

    public Map<String,List<FieldStatsInfo>> getFacets()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD